/**************************************************************************
 OmegaT - Computer Assisted Translation (CAT) tool
          with fuzzy matching, translation memory, keyword search,
          glossaries, and translation leveraging into updated projects.

 Copyright (C) 2016 Aaron Madlon-Kay
               Home page: http://www.omegat.org/
               Support center: http://groups.yahoo.com/group/OmegaT/

 This file is part of OmegaT.

 OmegaT is free software: you can redistribute it and/or modify
 it under the terms of the GNU General Public License as published by
 the Free Software Foundation, either version 3 of the License, or
 (at your option) any later version.

 OmegaT is distributed in the hope that it will be useful,
 but WITHOUT ANY WARRANTY; without even the implied warranty of
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 GNU General Public License for more details.

 You should have received a copy of the GNU General Public License
 along with this program.  If not, see <http://www.gnu.org/licenses/>.
 **************************************************************************/

package org.omegat.gui.align;

import org.omegat.util.Language;
import org.omegat.util.OStrings;

/**
 * UI component for picking source and target languages and files.
 * <p>
 * THIS MUST BE EDITED IN NETBEANS GUI BUILDER.
 *
 * @author Aaron Madlon-Kay
 */
@SuppressWarnings("serial")
public class AlignFilePicker extends javax.swing.JPanel {

    /**
     * Creates new form AlignFilePicker
     */
    public AlignFilePicker() {
        initComponents();
    }

    /**
     * This method is called from within the constructor to initialize the form.
     * WARNING: Do NOT modify this code. The content of this method is always
     * regenerated by the Form Editor.
     */
    // <editor-fold defaultstate="collapsed" desc="Generated Code">//GEN-BEGIN:initComponents
    private void initComponents() {

        progressBar = new javax.swing.JProgressBar();
        jPanel3 = new javax.swing.JPanel();
        jPanel6 = new javax.swing.JPanel();
        jLabel1 = new javax.swing.JLabel();
        jPanel1 = new javax.swing.JPanel();
        sourceLanguagePicker = new javax.swing.JComboBox<>();
        sourceLanguageFileField = new javax.swing.JTextField();
        sourceChooseFileButton = new javax.swing.JButton();
        jPanel7 = new javax.swing.JPanel();
        jLabel2 = new javax.swing.JLabel();
        jPanel2 = new javax.swing.JPanel();
        targetLanguagePicker = new javax.swing.JComboBox<>();
        targetLanguageFileField = new javax.swing.JTextField();
        targetChooseFileButton = new javax.swing.JButton();
        bottomPanel = new javax.swing.JPanel();
        messageTextArea = new javax.swing.JTextArea();
        jPanel5 = new javax.swing.JPanel();
        okButton = new javax.swing.JButton();
        cancelButton = new javax.swing.JButton();

        progressBar.setIndeterminate(true);

        setLayout(new java.awt.BorderLayout());

        jPanel3.setBorder(javax.swing.BorderFactory.createEmptyBorder(10, 10, 10, 10));
        jPanel3.setLayout(new javax.swing.BoxLayout(jPanel3, javax.swing.BoxLayout.PAGE_AXIS));

        jPanel6.setBorder(javax.swing.BorderFactory.createEmptyBorder(0, 0, 10, 0));
        jPanel6.setLayout(new java.awt.BorderLayout());

        jLabel1.setText(OStrings.getString("ALIGNER_FILEPICKER_SOURCE")); // NOI18N
        jPanel6.add(jLabel1, java.awt.BorderLayout.NORTH);

        jPanel1.setLayout(new java.awt.BorderLayout());

        sourceLanguagePicker.setEditable(true);
        jPanel1.add(sourceLanguagePicker, java.awt.BorderLayout.WEST);

        sourceLanguageFileField.setColumns(25);
        jPanel1.add(sourceLanguageFileField, java.awt.BorderLayout.CENTER);

        org.openide.awt.Mnemonics.setLocalizedText(sourceChooseFileButton, OStrings.getString("ALIGNER_FILEPICKER_CHOOSE")); // NOI18N
        jPanel1.add(sourceChooseFileButton, java.awt.BorderLayout.EAST);

        jPanel6.add(jPanel1, java.awt.BorderLayout.CENTER);

        jPanel3.add(jPanel6);

        jPanel7.setLayout(new java.awt.BorderLayout());

        jLabel2.setText(OStrings.getString("ALIGNER_FILEPICKER_TARGET")); // NOI18N
        jPanel7.add(jLabel2, java.awt.BorderLayout.NORTH);

        jPanel2.setLayout(new java.awt.BorderLayout());

        targetLanguagePicker.setEditable(true);
        jPanel2.add(targetLanguagePicker, java.awt.BorderLayout.WEST);

        targetLanguageFileField.setColumns(25);
        jPanel2.add(targetLanguageFileField, java.awt.BorderLayout.CENTER);

        org.openide.awt.Mnemonics.setLocalizedText(targetChooseFileButton, OStrings.getString("ALIGNER_FILEPICKER_CHOOSE")); // NOI18N
        jPanel2.add(targetChooseFileButton, java.awt.BorderLayout.EAST);

        jPanel7.add(jPanel2, java.awt.BorderLayout.CENTER);

        jPanel3.add(jPanel7);

        add(jPanel3, java.awt.BorderLayout.CENTER);

        bottomPanel.setBorder(javax.swing.BorderFactory.createEmptyBorder(0, 10, 10, 10));
        bottomPanel.setLayout(new java.awt.BorderLayout());

        messageTextArea.setEditable(false);
        messageTextArea.setLineWrap(true);
        messageTextArea.setWrapStyleWord(true);
        messageTextArea.setOpaque(false);
        bottomPanel.add(messageTextArea, java.awt.BorderLayout.CENTER);

        jPanel5.setBorder(javax.swing.BorderFactory.createEmptyBorder(0, 10, 0, 0));
        jPanel5.setLayout(new javax.swing.BoxLayout(jPanel5, javax.swing.BoxLayout.LINE_AXIS));

        org.openide.awt.Mnemonics.setLocalizedText(okButton, OStrings.getString("BUTTON_OK")); // NOI18N
        jPanel5.add(okButton);

        org.openide.awt.Mnemonics.setLocalizedText(cancelButton, OStrings.getString("BUTTON_CANCEL")); // NOI18N
        jPanel5.add(cancelButton);

        bottomPanel.add(jPanel5, java.awt.BorderLayout.EAST);

        add(bottomPanel, java.awt.BorderLayout.SOUTH);
    }// </editor-fold>//GEN-END:initComponents

    // Variables declaration - do not modify//GEN-BEGIN:variables
    public javax.swing.JPanel bottomPanel;
    public javax.swing.JButton cancelButton;
    private javax.swing.JLabel jLabel1;
    private javax.swing.JLabel jLabel2;
    private javax.swing.JPanel jPanel1;
    private javax.swing.JPanel jPanel2;
    private javax.swing.JPanel jPanel3;
    private javax.swing.JPanel jPanel5;
    private javax.swing.JPanel jPanel6;
    private javax.swing.JPanel jPanel7;
    public javax.swing.JTextArea messageTextArea;
    public javax.swing.JButton okButton;
    public javax.swing.JProgressBar progressBar;
    public javax.swing.JButton sourceChooseFileButton;
    public javax.swing.JTextField sourceLanguageFileField;
    public javax.swing.JComboBox<Language> sourceLanguagePicker;
    public javax.swing.JButton targetChooseFileButton;
    public javax.swing.JTextField targetLanguageFileField;
    public javax.swing.JComboBox<Language> targetLanguagePicker;
    // End of variables declaration//GEN-END:variables
}
