/**************************************************************************
 OmegaT - Computer Assisted Translation (CAT) tool
          with fuzzy matching, translation memory, keyword search,
          glossaries, and translation leveraging into updated projects.

 Copyright (C) 2015 Alex Buloichik
               Home page: http://www.omegat.org/
               Support center: http://groups.yahoo.com/group/OmegaT/

 This file is part of OmegaT.

 OmegaT is free software: you can redistribute it and/or modify
 it under the terms of the GNU General Public License as published by
 the Free Software Foundation, either version 3 of the License, or
 (at your option) any later version.

 OmegaT is distributed in the hope that it will be useful,
 but WITHOUT ANY WARRANTY; without even the implied warranty of
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 GNU General Public License for more details.

 You should have received a copy of the GNU General Public License
 along with this program.  If not, see <http://www.gnu.org/licenses/>.
 **************************************************************************/

package org.omegat.gui.dialogs;

import org.omegat.util.OStrings;

/**
 * @author Alex Buloichik (alex73mail@gmail.com)
 */
@SuppressWarnings("serial")
public class ConflictDialog extends javax.swing.JDialog {

    /**
     * Creates new form ConflictDialog
     */
    public ConflictDialog(java.awt.Frame parent, boolean modal) {
        super(parent, modal);
        initComponents();
    }

    /**
     * This method is called from within the constructor to initialize the form.
     * WARNING: Do NOT modify this code. The content of this method is always
     * regenerated by the Form Editor.
     */
    // <editor-fold defaultstate="collapsed" desc="Generated Code">//GEN-BEGIN:initComponents
    private void initComponents() {

        buttonGroup1 = new javax.swing.ButtonGroup();
        jPanel3 = new javax.swing.JPanel();
        jPanel5 = new javax.swing.JPanel();
        lblExplanation = new javax.swing.JTextArea();
        jPanel4 = new javax.swing.JPanel();
        jPanel6 = new javax.swing.JPanel();
        jLabel1 = new javax.swing.JLabel();
        jScrollPane4 = new javax.swing.JScrollPane();
        textLeft = new javax.swing.JTextArea();
        jButton3 = new javax.swing.JButton();
        jPanel7 = new javax.swing.JPanel();
        jLabel2 = new javax.swing.JLabel();
        jScrollPane5 = new javax.swing.JScrollPane();
        textCenter = new javax.swing.JTextArea();
        btnMine = new javax.swing.JButton();
        jPanel9 = new javax.swing.JPanel();
        jLabel4 = new javax.swing.JLabel();
        jScrollPane6 = new javax.swing.JScrollPane();
        textRight = new javax.swing.JTextArea();
        btnTheirs = new javax.swing.JButton();

        setDefaultCloseOperation(javax.swing.WindowConstants.DO_NOTHING_ON_CLOSE);
        setTitle(OStrings.getString("CONFLICT_DIALOG_TITLE")); // NOI18N

        jPanel3.setLayout(new java.awt.BorderLayout());

        jPanel5.setBorder(javax.swing.BorderFactory.createEmptyBorder(10, 10, 10, 10));
        jPanel5.setLayout(new java.awt.BorderLayout());

        lblExplanation.setEditable(false);
        lblExplanation.setFont(jLabel1.getFont());
        lblExplanation.setLineWrap(true);
        lblExplanation.setText(OStrings.getString("CONFLICT_DIALOG_TEXT")); // NOI18N
        lblExplanation.setWrapStyleWord(true);
        lblExplanation.setDragEnabled(false);
        lblExplanation.setFocusable(false);
        lblExplanation.setOpaque(false);
        jPanel5.add(lblExplanation, java.awt.BorderLayout.NORTH);

        jPanel3.add(jPanel5, java.awt.BorderLayout.NORTH);

        jPanel4.setBorder(javax.swing.BorderFactory.createEmptyBorder(0, 10, 10, 10));
        jPanel4.setLayout(new javax.swing.BoxLayout(jPanel4, javax.swing.BoxLayout.LINE_AXIS));

        jPanel6.setLayout(new java.awt.BorderLayout());

        org.openide.awt.Mnemonics.setLocalizedText(jLabel1, OStrings.getString("CONFLICT_DIALOG_LABEL_BASE")); // NOI18N
        jPanel6.add(jLabel1, java.awt.BorderLayout.NORTH);

        textLeft.setEditable(false);
        textLeft.setLineWrap(true);
        textLeft.setWrapStyleWord(true);
        textLeft.setOpaque(false);
        jScrollPane4.setViewportView(textLeft);

        jPanel6.add(jScrollPane4, java.awt.BorderLayout.CENTER);

        jButton3.setBorderPainted(false);
        jButton3.setEnabled(false);
        jPanel6.add(jButton3, java.awt.BorderLayout.PAGE_END);

        jPanel4.add(jPanel6);

        jPanel7.setLayout(new java.awt.BorderLayout());

        org.openide.awt.Mnemonics.setLocalizedText(jLabel2, OStrings.getString("CONFLICT_DIALOG_LABEL_MINE")); // NOI18N
        jPanel7.add(jLabel2, java.awt.BorderLayout.NORTH);

        textCenter.setEditable(false);
        textCenter.setLineWrap(true);
        textCenter.setWrapStyleWord(true);
        textCenter.setOpaque(false);
        jScrollPane5.setViewportView(textCenter);

        jPanel7.add(jScrollPane5, java.awt.BorderLayout.CENTER);

        org.openide.awt.Mnemonics.setLocalizedText(btnMine, OStrings.getString("CONFLICT_DIALOG_BUTTON_MINE")); // NOI18N
        jPanel7.add(btnMine, java.awt.BorderLayout.PAGE_END);

        jPanel4.add(jPanel7);

        jPanel9.setLayout(new java.awt.BorderLayout());

        org.openide.awt.Mnemonics.setLocalizedText(jLabel4, OStrings.getString("CONFLICT_DIALOG_LABEL_THEIRS")); // NOI18N
        jPanel9.add(jLabel4, java.awt.BorderLayout.NORTH);

        textRight.setEditable(false);
        textRight.setLineWrap(true);
        textRight.setWrapStyleWord(true);
        textRight.setOpaque(false);
        jScrollPane6.setViewportView(textRight);

        jPanel9.add(jScrollPane6, java.awt.BorderLayout.CENTER);

        org.openide.awt.Mnemonics.setLocalizedText(btnTheirs, OStrings.getString("CONFLICT_DIALOG_BUTTON_THEIRS")); // NOI18N
        jPanel9.add(btnTheirs, java.awt.BorderLayout.PAGE_END);

        jPanel4.add(jPanel9);

        jPanel3.add(jPanel4, java.awt.BorderLayout.CENTER);

        getContentPane().add(jPanel3, java.awt.BorderLayout.CENTER);

        pack();
    }// </editor-fold>//GEN-END:initComponents

    // Variables declaration - do not modify//GEN-BEGIN:variables
    public javax.swing.JButton btnMine;
    public javax.swing.JButton btnTheirs;
    public javax.swing.ButtonGroup buttonGroup1;
    private javax.swing.JButton jButton3;
    public javax.swing.JLabel jLabel1;
    public javax.swing.JLabel jLabel2;
    public javax.swing.JLabel jLabel4;
    public javax.swing.JPanel jPanel3;
    public javax.swing.JPanel jPanel4;
    public javax.swing.JPanel jPanel5;
    public javax.swing.JPanel jPanel6;
    public javax.swing.JPanel jPanel7;
    public javax.swing.JPanel jPanel9;
    public javax.swing.JScrollPane jScrollPane4;
    public javax.swing.JScrollPane jScrollPane5;
    public javax.swing.JScrollPane jScrollPane6;
    public javax.swing.JTextArea lblExplanation;
    public javax.swing.JTextArea textCenter;
    public javax.swing.JTextArea textLeft;
    public javax.swing.JTextArea textRight;
    // End of variables declaration//GEN-END:variables
}
