/**************************************************************************
 OmegaT - Computer Assisted Translation (CAT) tool
          with fuzzy matching, translation memory, keyword search,
          glossaries, and translation leveraging into updated projects.

 Copyright (C) 2017 Aaron Madlon-Kay
               Home page: http://www.omegat.org/
               Support center: http://groups.yahoo.com/group/OmegaT/

 This file is part of OmegaT.

 OmegaT is free software: you can redistribute it and/or modify
 it under the terms of the GNU General Public License as published by
 the Free Software Foundation, either version 3 of the License, or
 (at your option) any later version.

 OmegaT is distributed in the hope that it will be useful,
 but WITHOUT ANY WARRANTY; without even the implied warranty of
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 GNU General Public License for more details.

 You should have received a copy of the GNU General Public License
 along with this program.  If not, see <http://www.gnu.org/licenses/>.
 **************************************************************************/

package org.omegat.gui.dialogs;

import org.omegat.util.OStrings;

/**
 *
 * @author Aaron Madlon-Kay <aaron@madlon-kay.com>
 */
@SuppressWarnings("serial")
public class VersionCheckPanel extends javax.swing.JPanel {

    /**
     * Creates new form VersionCheckDialog
     */
    public VersionCheckPanel() {
        initComponents();
    }

    /**
     * This method is called from within the constructor to initialize the form.
     * WARNING: Do NOT modify this code. The content of this method is always
     * regenerated by the Form Editor.
     */
    // <editor-fold defaultstate="collapsed" desc="Generated Code">//GEN-BEGIN:initComponents
    private void initComponents() {

        jPanel2 = new javax.swing.JPanel();
        autoCheckCheckBox = new javax.swing.JCheckBox();
        jPanel1 = new javax.swing.JPanel();
        cancelButton = new javax.swing.JButton();
        goToDownloadsButton = new javax.swing.JButton();
        jPanel3 = new javax.swing.JPanel();
        message = new javax.swing.JTextArea();

        setLayout(new java.awt.BorderLayout());

        jPanel2.setBorder(javax.swing.BorderFactory.createEmptyBorder(0, 10, 10, 10));
        jPanel2.setLayout(new java.awt.BorderLayout());

        org.openide.awt.Mnemonics.setLocalizedText(autoCheckCheckBox, OStrings.getString("VERSION_CHECK_AUTOMATICALLY")); // NOI18N
        jPanel2.add(autoCheckCheckBox, java.awt.BorderLayout.WEST);

        jPanel1.setLayout(new javax.swing.BoxLayout(jPanel1, javax.swing.BoxLayout.LINE_AXIS));

        org.openide.awt.Mnemonics.setLocalizedText(cancelButton, OStrings.getString("VERSION_CHECK_NO_ACTION")); // NOI18N
        jPanel1.add(cancelButton);

        org.openide.awt.Mnemonics.setLocalizedText(goToDownloadsButton, OStrings.getString("VERSION_CHECK_GO_TO_DOWNLOADS")); // NOI18N
        jPanel1.add(goToDownloadsButton);

        jPanel2.add(jPanel1, java.awt.BorderLayout.EAST);

        add(jPanel2, java.awt.BorderLayout.SOUTH);

        jPanel3.setBorder(javax.swing.BorderFactory.createEmptyBorder(10, 10, 10, 10));
        jPanel3.setLayout(new java.awt.BorderLayout(10, 0));

        message.setEditable(false);
        message.setFont(jPanel1.getFont());
        message.setLineWrap(true);
        message.setRows(2);
        message.setText(OStrings.getString("VERSION_CHECK_OUT_OF_DATE")); // NOI18N
        message.setWrapStyleWord(true);
        message.setDragEnabled(false);
        message.setFocusable(false);
        message.setOpaque(false);
        jPanel3.add(message, java.awt.BorderLayout.CENTER);

        add(jPanel3, java.awt.BorderLayout.CENTER);
    }// </editor-fold>//GEN-END:initComponents


    // Variables declaration - do not modify//GEN-BEGIN:variables
    javax.swing.JCheckBox autoCheckCheckBox;
    javax.swing.JButton cancelButton;
    javax.swing.JButton goToDownloadsButton;
    private javax.swing.JPanel jPanel1;
    private javax.swing.JPanel jPanel2;
    private javax.swing.JPanel jPanel3;
    javax.swing.JTextArea message;
    // End of variables declaration//GEN-END:variables
}
