/**************************************************************************
 OmegaT - Computer Assisted Translation (CAT) tool
          with fuzzy matching, translation memory, keyword search,
          glossaries, and translation leveraging into updated projects.

 Copyright (C) 2017 Aaron Madlon-Kay
               Home page: http://www.omegat.org/
               Support center: http://groups.yahoo.com/group/OmegaT/

 This file is part of OmegaT.

 OmegaT is free software: you can redistribute it and/or modify
 it under the terms of the GNU General Public License as published by
 the Free Software Foundation, either version 3 of the License, or
 (at your option) any later version.

 OmegaT is distributed in the hope that it will be useful,
 but WITHOUT ANY WARRANTY; without even the implied warranty of
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 GNU General Public License for more details.

 You should have received a copy of the GNU General Public License
 along with this program.  If not, see <http://www.gnu.org/licenses/>.
 **************************************************************************/

package org.omegat.gui.issues;

import org.omegat.util.OStrings;

/**
 * @author Aaron Madlon-Kay
 */
@SuppressWarnings("serial")
public class IssueProvidersSelectorPanel extends javax.swing.JPanel {

    /**
     * Creates new form IssueProviderSelectorPanel
     */
    public IssueProvidersSelectorPanel() {
        initComponents();
    }

    /**
     * This method is called from within the constructor to initialize the form.
     * WARNING: Do NOT modify this code. The content of this method is always
     * regenerated by the Form Editor.
     */
    // <editor-fold defaultstate="collapsed" desc="Generated Code">//GEN-BEGIN:initComponents
    private void initComponents() {

        jTextArea1 = new javax.swing.JTextArea();
        providersPanel = new javax.swing.JPanel();
        dontAskCheckBox = new javax.swing.JCheckBox();
        jPanel2 = new javax.swing.JPanel();
        jPanel3 = new javax.swing.JPanel();
        okButton = new javax.swing.JButton();
        cancelButton = new javax.swing.JButton();

        setBorder(javax.swing.BorderFactory.createEmptyBorder(10, 10, 10, 10));
        setLayout(new javax.swing.BoxLayout(this, javax.swing.BoxLayout.PAGE_AXIS));

        jTextArea1.setEditable(false);
        jTextArea1.setFont(dontAskCheckBox.getFont());
        jTextArea1.setLineWrap(true);
        jTextArea1.setText(OStrings.getString("ISSUE_PROVIDERS_SELECTOR_MESSAGE")); // NOI18N
        jTextArea1.setWrapStyleWord(true);
        jTextArea1.setAlignmentX(0.0F);
        jTextArea1.setFocusable(false);
        jTextArea1.setOpaque(false);
        add(jTextArea1);

        providersPanel.setBorder(javax.swing.BorderFactory.createEmptyBorder(10, 0, 20, 0));
        providersPanel.setLayout(new javax.swing.BoxLayout(providersPanel, javax.swing.BoxLayout.PAGE_AXIS));
        add(providersPanel);

        org.openide.awt.Mnemonics.setLocalizedText(dontAskCheckBox, OStrings.getString("ISSUE_PROVIDERS_SELECTOR_DONT_ASK_CHECKBOX")); // NOI18N
        add(dontAskCheckBox);

        jPanel2.setBorder(javax.swing.BorderFactory.createEmptyBorder(10, 0, 0, 0));
        jPanel2.setAlignmentX(0.0F);
        jPanel2.setLayout(new java.awt.BorderLayout());

        jPanel3.setLayout(new javax.swing.BoxLayout(jPanel3, javax.swing.BoxLayout.LINE_AXIS));

        org.openide.awt.Mnemonics.setLocalizedText(okButton, OStrings.getString("BUTTON_OK")); // NOI18N
        jPanel3.add(okButton);

        org.openide.awt.Mnemonics.setLocalizedText(cancelButton, OStrings.getString("BUTTON_CANCEL")); // NOI18N
        jPanel3.add(cancelButton);

        jPanel2.add(jPanel3, java.awt.BorderLayout.EAST);

        add(jPanel2);
    }// </editor-fold>//GEN-END:initComponents

    // Variables declaration - do not modify//GEN-BEGIN:variables
    javax.swing.JButton cancelButton;
    javax.swing.JCheckBox dontAskCheckBox;
    private javax.swing.JPanel jPanel2;
    private javax.swing.JPanel jPanel3;
    private javax.swing.JTextArea jTextArea1;
    javax.swing.JButton okButton;
    javax.swing.JPanel providersPanel;
    // End of variables declaration//GEN-END:variables
}
