/**************************************************************************
 OmegaT - Computer Assisted Translation (CAT) tool
          with fuzzy matching, translation memory, keyword search,
          glossaries, and translation leveraging into updated projects.

 Copyright (C) 2016 Lev Abashkin, Aaron Madlon-Kay
               Home page: http://www.omegat.org/
               Support center: http://groups.yahoo.com/group/OmegaT/

 This file is part of OmegaT.

 OmegaT is free software: you can redistribute it and/or modify
 it under the terms of the GNU General Public License as published by
 the Free Software Foundation, either version 3 of the License, or
 (at your option) any later version.

 OmegaT is distributed in the hope that it will be useful,
 but WITHOUT ANY WARRANTY; without even the implied warranty of
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 GNU General Public License for more details.

 You should have received a copy of the GNU General Public License
 along with this program.  If not, see <http://www.gnu.org/licenses/>.
 **************************************************************************/

package org.omegat.gui.preferences.view;

import org.omegat.util.OStrings;

/**
 * @author Lev Abashkin
 * @author Aaron Madlon-Kay
 */
@SuppressWarnings("serial")
public class LanguageToolConfigurationPanel extends javax.swing.JPanel {

    public LanguageToolConfigurationPanel() {
        initComponents();
    }

    /**
     * This method is called from within the constructor to initialize the form.
     * WARNING: Do NOT modify this code. The content of this method is always
     * regenerated by the Form Editor.
     */
    // <editor-fold defaultstate="collapsed" desc="Generated Code">//GEN-BEGIN:initComponents
    private void initComponents() {

        buttonGroup1 = new javax.swing.ButtonGroup();
        externalOptionsPanel = new javax.swing.JPanel();
        nativePanel = new javax.swing.JPanel();
        bridgeNativeRadioButton = new javax.swing.JRadioButton();
        remotePanel = new javax.swing.JPanel();
        bridgeRemoteRadioButton = new javax.swing.JRadioButton();
        urlPanel = new javax.swing.JPanel();
        urlLabel = new javax.swing.JLabel();
        urlTextField = new javax.swing.JTextField();
        localPanel = new javax.swing.JPanel();
        bridgeLocalRadioButton = new javax.swing.JRadioButton();
        directoryPanel = new javax.swing.JPanel();
        localPathLabel = new javax.swing.JLabel();
        localServerJarPathTextField = new javax.swing.JTextField();
        directoryChooseButton = new javax.swing.JButton();
        rulesPanel = new javax.swing.JPanel();
        rulesMessagePanel = new javax.swing.JPanel();
        rulesMessageLabel = new javax.swing.JLabel();
        rulesScrollPane = new javax.swing.JScrollPane();
        rulesTree = new javax.swing.JTree();
        rulesButtonsPanel = new javax.swing.JPanel();
        addRuleButton = new javax.swing.JButton();
        deleteRuleButton = new javax.swing.JButton();

        setBorder(javax.swing.BorderFactory.createEmptyBorder(10, 10, 10, 10));
        setLayout(new java.awt.BorderLayout());

        externalOptionsPanel.setBorder(javax.swing.BorderFactory.createCompoundBorder(javax.swing.BorderFactory.createEmptyBorder(0, 0, 5, 0), javax.swing.BorderFactory.createTitledBorder(OStrings.getString("GUI_LANGUAGETOOL_BRIDGE_TYPE")))); // NOI18N
        externalOptionsPanel.setAlignmentX(0.0F);
        externalOptionsPanel.setLayout(new javax.swing.BoxLayout(externalOptionsPanel, javax.swing.BoxLayout.PAGE_AXIS));

        nativePanel.setBorder(javax.swing.BorderFactory.createEmptyBorder(10, 10, 10, 10));
        nativePanel.setLayout(new java.awt.BorderLayout());

        buttonGroup1.add(bridgeNativeRadioButton);
        org.openide.awt.Mnemonics.setLocalizedText(bridgeNativeRadioButton, OStrings.getString("GUI_LANGUAGETOOL_NATIVE_BRIDGE")); // NOI18N
        bridgeNativeRadioButton.setName(""); // NOI18N
        nativePanel.add(bridgeNativeRadioButton, java.awt.BorderLayout.CENTER);

        externalOptionsPanel.add(nativePanel);

        remotePanel.setBorder(javax.swing.BorderFactory.createEmptyBorder(10, 10, 10, 10));
        remotePanel.setLayout(new java.awt.BorderLayout());

        buttonGroup1.add(bridgeRemoteRadioButton);
        org.openide.awt.Mnemonics.setLocalizedText(bridgeRemoteRadioButton, OStrings.getString("GUI_LANGUAGETOOL_REMOTE_BRIDGE")); // NOI18N
        bridgeRemoteRadioButton.setName(""); // NOI18N
        remotePanel.add(bridgeRemoteRadioButton, java.awt.BorderLayout.NORTH);

        urlPanel.setBorder(javax.swing.BorderFactory.createEmptyBorder(5, 25, 0, 0));
        urlPanel.setLayout(new java.awt.BorderLayout());

        org.openide.awt.Mnemonics.setLocalizedText(urlLabel, OStrings.getString("GUI_LANGUAGETOOL_URL")); // NOI18N
        urlPanel.add(urlLabel, java.awt.BorderLayout.NORTH);

        urlTextField.setToolTipText("");
        urlPanel.add(urlTextField, java.awt.BorderLayout.CENTER);

        remotePanel.add(urlPanel, java.awt.BorderLayout.CENTER);

        externalOptionsPanel.add(remotePanel);

        localPanel.setBorder(javax.swing.BorderFactory.createEmptyBorder(0, 10, 10, 10));
        localPanel.setLayout(new java.awt.BorderLayout());

        buttonGroup1.add(bridgeLocalRadioButton);
        org.openide.awt.Mnemonics.setLocalizedText(bridgeLocalRadioButton, OStrings.getString("GUI_LANGUAGETOOL_LOCAL_BRIDGE")); // NOI18N
        localPanel.add(bridgeLocalRadioButton, java.awt.BorderLayout.NORTH);

        directoryPanel.setBorder(javax.swing.BorderFactory.createEmptyBorder(5, 25, 0, 0));
        directoryPanel.setLayout(new java.awt.BorderLayout());

        org.openide.awt.Mnemonics.setLocalizedText(localPathLabel, OStrings.getString("GUI_LANGUAGETOOL_LOCAL_SERVER_PATH")); // NOI18N
        directoryPanel.add(localPathLabel, java.awt.BorderLayout.NORTH);

        localServerJarPathTextField.setToolTipText("");
        directoryPanel.add(localServerJarPathTextField, java.awt.BorderLayout.CENTER);

        org.openide.awt.Mnemonics.setLocalizedText(directoryChooseButton, OStrings.getString("GUI_LANGUAGETOOL_CHOOSE_BUTTON")); // NOI18N
        directoryPanel.add(directoryChooseButton, java.awt.BorderLayout.EAST);

        localPanel.add(directoryPanel, java.awt.BorderLayout.CENTER);

        externalOptionsPanel.add(localPanel);

        add(externalOptionsPanel, java.awt.BorderLayout.NORTH);

        rulesPanel.setBorder(javax.swing.BorderFactory.createTitledBorder(OStrings.getString("GUI_LANGUAGETOOL_RULES"))); // NOI18N
        rulesPanel.setLayout(new java.awt.BorderLayout());

        rulesMessagePanel.setBorder(javax.swing.BorderFactory.createEmptyBorder(5, 5, 5, 5));
        rulesMessagePanel.setAlignmentX(0.0F);
        rulesMessagePanel.setLayout(new java.awt.BorderLayout());

        rulesMessageLabel.setHorizontalAlignment(javax.swing.SwingConstants.CENTER);
        rulesMessagePanel.add(rulesMessageLabel, java.awt.BorderLayout.CENTER);

        rulesPanel.add(rulesMessagePanel, java.awt.BorderLayout.NORTH);

        rulesScrollPane.setAlignmentX(0.0F);

        rulesTree.setRootVisible(false);
        rulesTree.setShowsRootHandles(true);
        rulesScrollPane.setViewportView(rulesTree);

        rulesPanel.add(rulesScrollPane, java.awt.BorderLayout.CENTER);

        rulesButtonsPanel.setAlignmentX(0.0F);
        rulesButtonsPanel.setLayout(new javax.swing.BoxLayout(rulesButtonsPanel, javax.swing.BoxLayout.LINE_AXIS));

        org.openide.awt.Mnemonics.setLocalizedText(addRuleButton, OStrings.getString("BUTTON_ADD_NODOTS")); // NOI18N
        rulesButtonsPanel.add(addRuleButton);

        org.openide.awt.Mnemonics.setLocalizedText(deleteRuleButton, OStrings.getString("BUTTON_REMOVE")); // NOI18N
        deleteRuleButton.setToolTipText("");
        deleteRuleButton.setEnabled(false);
        rulesButtonsPanel.add(deleteRuleButton);

        rulesPanel.add(rulesButtonsPanel, java.awt.BorderLayout.SOUTH);

        add(rulesPanel, java.awt.BorderLayout.CENTER);
    }// </editor-fold>//GEN-END:initComponents

    // Variables declaration - do not modify//GEN-BEGIN:variables
    javax.swing.JButton addRuleButton;
    javax.swing.JRadioButton bridgeLocalRadioButton;
    javax.swing.JRadioButton bridgeNativeRadioButton;
    javax.swing.JRadioButton bridgeRemoteRadioButton;
    private javax.swing.ButtonGroup buttonGroup1;
    javax.swing.JButton deleteRuleButton;
    javax.swing.JButton directoryChooseButton;
    private javax.swing.JPanel directoryPanel;
    private javax.swing.JPanel externalOptionsPanel;
    private javax.swing.JPanel localPanel;
    private javax.swing.JLabel localPathLabel;
    javax.swing.JTextField localServerJarPathTextField;
    private javax.swing.JPanel nativePanel;
    private javax.swing.JPanel remotePanel;
    javax.swing.JPanel rulesButtonsPanel;
    javax.swing.JLabel rulesMessageLabel;
    javax.swing.JPanel rulesMessagePanel;
    private javax.swing.JPanel rulesPanel;
    javax.swing.JScrollPane rulesScrollPane;
    javax.swing.JTree rulesTree;
    private javax.swing.JLabel urlLabel;
    private javax.swing.JPanel urlPanel;
    javax.swing.JTextField urlTextField;
    // End of variables declaration//GEN-END:variables
}
