/**************************************************************************
 OmegaT - Computer Assisted Translation (CAT) tool
          with fuzzy matching, translation memory, keyword search,
          glossaries, and translation leveraging into updated projects.

 Copyright (C) 2016 Aaron Madlon-Kay
               Home page: http://www.omegat.org/
               Support center: http://groups.yahoo.com/group/OmegaT/

 This file is part of OmegaT.

 OmegaT is free software: you can redistribute it and/or modify
 it under the terms of the GNU General Public License as published by
 the Free Software Foundation, either version 3 of the License, or
 (at your option) any later version.

 OmegaT is distributed in the hope that it will be useful,
 but WITHOUT ANY WARRANTY; without even the implied warranty of
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 GNU General Public License for more details.

 You should have received a copy of the GNU General Public License
 along with this program.  If not, see <http://www.gnu.org/licenses/>.
 **************************************************************************/

package org.omegat.gui.preferences.view;

import javax.swing.JPanel;

import org.omegat.util.OStrings;

/**
 * @author Aaron Madlon-Kay
 */
@SuppressWarnings("serial")
public class MachineTranslationPreferencesPanel extends JPanel {

    /** Creates new form MachineTranslationPanel */
    public MachineTranslationPreferencesPanel() {
        initComponents();
    }

    /**
     * This method is called from within the constructor to initialize the form.
     * WARNING: Do NOT modify this code. The content of this method is always
     * regenerated by the Form Editor.
     */
    // <editor-fold defaultstate="collapsed" desc="Generated Code">//GEN-BEGIN:initComponents
    private void initComponents() {

        autoFetchCheckBox = new javax.swing.JCheckBox();
        untranslatedOnlyCheckBox = new javax.swing.JCheckBox();
        filler1 = new javax.swing.Box.Filler(new java.awt.Dimension(0, 10), new java.awt.Dimension(0, 10), new java.awt.Dimension(32767, 10));
        jPanel1 = new javax.swing.JPanel();
        mtProviderScrollPane = new javax.swing.JScrollPane();
        mtProviderTable = new javax.swing.JTable();
        jPanel2 = new javax.swing.JPanel();
        jPanel3 = new javax.swing.JPanel();
        configureButton = new javax.swing.JButton();

        setBorder(javax.swing.BorderFactory.createEmptyBorder(10, 10, 10, 10));
        setMinimumSize(new java.awt.Dimension(250, 200));
        setLayout(new javax.swing.BoxLayout(this, javax.swing.BoxLayout.PAGE_AXIS));

        org.openide.awt.Mnemonics.setLocalizedText(autoFetchCheckBox, OStrings.getString("PREFS_MT_AUTO_FETCH")); // NOI18N
        add(autoFetchCheckBox);

        org.openide.awt.Mnemonics.setLocalizedText(untranslatedOnlyCheckBox, OStrings.getString("PREFS_MT_ONLY_UNTRANSLATED")); // NOI18N
        untranslatedOnlyCheckBox.setActionCommand(OStrings.getString("PREFS_MT_ONLY_UNTRANSLATED")); // NOI18N
        add(untranslatedOnlyCheckBox);
        add(filler1);

        jPanel1.setAlignmentX(0.0F);
        jPanel1.setLayout(new java.awt.BorderLayout());

        mtProviderTable.setFillsViewportHeight(true);
        mtProviderTable.setSelectionMode(javax.swing.ListSelectionModel.SINGLE_SELECTION);
        mtProviderScrollPane.setViewportView(mtProviderTable);

        jPanel1.add(mtProviderScrollPane, java.awt.BorderLayout.CENTER);

        jPanel2.setLayout(new java.awt.BorderLayout());

        jPanel3.setBorder(javax.swing.BorderFactory.createEmptyBorder(0, 5, 0, 0));
        jPanel3.setLayout(new javax.swing.BoxLayout(jPanel3, javax.swing.BoxLayout.PAGE_AXIS));

        org.openide.awt.Mnemonics.setLocalizedText(configureButton, OStrings.getString("PREFS_MT_CONFIGURE_BUTTON")); // NOI18N
        jPanel3.add(configureButton);

        jPanel2.add(jPanel3, java.awt.BorderLayout.NORTH);

        jPanel1.add(jPanel2, java.awt.BorderLayout.EAST);

        add(jPanel1);
    }// </editor-fold>//GEN-END:initComponents

    // Variables declaration - do not modify//GEN-BEGIN:variables
    javax.swing.JCheckBox autoFetchCheckBox;
    javax.swing.JButton configureButton;
    private javax.swing.Box.Filler filler1;
    private javax.swing.JPanel jPanel1;
    private javax.swing.JPanel jPanel2;
    private javax.swing.JPanel jPanel3;
    javax.swing.JScrollPane mtProviderScrollPane;
    javax.swing.JTable mtProviderTable;
    javax.swing.JCheckBox untranslatedOnlyCheckBox;
    // End of variables declaration//GEN-END:variables
}
